[package]
name = "asklyphe-common"
version = "0.1.0"
edition = "2021"
license = "AGPL-3"
license-file = "LICENSE"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
tokio = { version = "1.0", features = ["full"] }
chrono = "0.4.31"
serde = { version = "1.0", features = ["derive"] }
lyphedb = { path = "../lyphedb" }
foundationdb = { version = "0.8.0", features = ["embedded-fdb-include"], optional = true }
log = "0.4.20"
rmp-serde = "1.1.2"
futures = "0.3.30"
async-nats = "0.38.0"
ulid = "1.1.0"
rand = "0.8.5"
percent-encoding = "2.3.1"
sha-rs = "0.1.0"

[features]
default = []